## pim-data-exporter 24.12.0

=== debian/changelog ===
pim-data-exporter (4:24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:39 +0100

pim-data-exporter (4:24.12.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit the build to architectures where Qt 6 WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Dec 2024 13:03:55 +0100

pim-data-exporter (4:24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:39:49 +0100
